Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Enumerations | Functions
constant.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | rb_const_entry_struct

## Typedefs
typedef struct rb_const_entry_struct | rb_const_entry_t

## Enumerations
enum | rb_const_flag_t { CONST_PUBLIC = 0x00, CONST_PRIVATE = 0x01 }

## Functions
VALUE | rb_mod_private_constant (int argc, VALUE *argv, VALUE obj)
VALUE | rb_mod_public_constant (int argc, VALUE *argv, VALUE obj)
void | rb_free_const_table (st_table *tbl)
VALUE | rb_public_const_get (VALUE klass, ID id)
VALUE | rb_public_const_get_at (VALUE klass, ID id)
VALUE | rb_public_const_get_from (VALUE klass, ID id)
int | rb_public_const_defined (VALUE klass, ID id)
int | rb_public_const_defined_at (VALUE klass, ID id)
int | rb_public_const_defined_from (VALUE klass, ID id)

## Typedef Documentation

typedef struct rb_const_entry_struct rb_const_entry_t

## Enumeration Type Documentation

enum rb_const_flag_t

Enumerator
CONST_PUBLIC |
CONST_PRIVATE |

Definition at line 14 of file constant.h.

## Function Documentation

void rb_free_const_table | ( | st_table * | tbl) |  |

Definition at line 814 of file gc.c.

References free_const_entry_i(), st_foreach(), and st_free_table().

Referenced by init_copy(), obj_free(), and rb_mod_init_copy().

VALUE rb_mod_private_constant | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | obj
| ) |  |

Definition at line 2264 of file variable.c.

References CONST_PRIVATE, and set_const_visibility().

Referenced by Init_Object().

VALUE rb_mod_public_constant | ( | int | argc,
|  | VALUE * | argv,
|  | VALUE | obj
| ) |  |

Definition at line 2278 of file variable.c.

References CONST_PUBLIC, and set_const_visibility().

Referenced by Init_Object().

int rb_public_const_defined | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 2116 of file variable.c.

References FALSE, rb_const_defined_0(), and TRUE.

int rb_public_const_defined_at | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 2122 of file variable.c.

References FALSE, rb_const_defined_0(), and TRUE.

int rb_public_const_defined_from | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 2110 of file variable.c.

References rb_const_defined_0(), and TRUE.

Referenced by vm_get_ev_const().

VALUE rb_public_const_get | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1889 of file variable.c.

References FALSE, rb_const_get_0(), and TRUE.

VALUE rb_public_const_get_at | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1895 of file variable.c.

References FALSE, rb_const_get_0(), and TRUE.

VALUE rb_public_const_get_from | ( | VALUE | klass,
|  | ID | id
| ) |  |

Definition at line 1883 of file variable.c.

References rb_const_get_0(), and TRUE.

Referenced by vm_get_ev_const().